drm: Branch 'master' - 2 commits

[email protected] (Eric Engestr??m)
Newsgroups gmane.comp.video.dri.patches
Message-ID <[email protected]>
 autogen.sh |   10 +++++-----
 1 file changed, 5 insertions(+), 5 deletions(-)

New commits:
commit 1bf96af525436d3727d44d137fe922b491512b14
Author: Eric Engestrom <[email protected]>
Date:   Fri Feb 3 18:21:10 2017 +0000

    autogen.sh: run git commands in the (potentially) git dir
    
    If the build dir is outside of the git dir, the order matters :)
    
    Signed-off-by: Eric Engestrom <[email protected]>
    Reviewed-by: Chad Versace <[email protected]>
    Reviewed-by: Emil Velikov <[email protected]>

diff --git a/autogen.sh b/autogen.sh
index d003096..13d6991 100755
--- a/autogen.sh
+++ b/autogen.sh
@@ -6,15 +6,15 @@ test -z "$srcdir" && srcdir=.
 ORIGDIR=`pwd`
 cd "$srcdir"
 
-autoreconf --force --verbose --install || exit 1
-cd "$ORIGDIR" || exit $?
-
 git config --local --get format.subjectPrefix >/dev/null ||
     git config --local format.subjectPrefix "PATCH libdrm" 2>/dev/null
 
 git config --local --get sendemail.to >/dev/null ||
     git config --local sendemail.to "[email protected]" 2>/dev/null
 
+autoreconf --force --verbose --install || exit 1
+cd "$ORIGDIR" || exit $?
+
 if test -z "$NOCONFIGURE"; then
     "$srcdir"/configure "$@"
 fi
commit a6cdfa5cd8cc953ffec4497cd8262059c4b14675
Author: Eric Engestrom <[email protected]>
Date:   Fri Feb 3 18:21:09 2017 +0000

    autogen.sh: don't print old git-config values
    
    Old values are of no interest to the user, so let's reduce the spam
    a bit by hiding those.
    
    Signed-off-by: Eric Engestrom <[email protected]>
    Reviewed-by: Chad Versace <[email protected]>
    Reviewed-by: Emil Velikov <[email protected]>

diff --git a/autogen.sh b/autogen.sh
index d82ab18..d003096 100755
--- a/autogen.sh
+++ b/autogen.sh
@@ -9,10 +9,10 @@ cd "$srcdir"
 autoreconf --force --verbose --install || exit 1
 cd "$ORIGDIR" || exit $?
 
-git config --local --get format.subjectPrefix ||
+git config --local --get format.subjectPrefix >/dev/null ||
     git config --local format.subjectPrefix "PATCH libdrm" 2>/dev/null
 
-git config --local --get sendemail.to ||
+git config --local --get sendemail.to >/dev/null ||
     git config --local sendemail.to "[email protected]" 2>/dev/null
 
 if test -z "$NOCONFIGURE"; then

------------------------------------------------------------------------------
Check out the vibrant tech community on one of the world's most
engaging tech sites, SlashDot.org! http://sdm.link/slashdot
--
lmpx.com only provides a reader for public news (NNTP) servers. It is not affiliated with the servers or forums shown here and is not responsible for the content of articles, which is written by their respective authors.